# KeyPress

## core KeyPress

<pKeyPress holds information about a key that has been pressed, such as the duration of the press.

## Constructor

#### new KeyPress(code, tDown, name)

Source:
  - core/Keyboard.js, line 18

##### Parameters:

Name | Type | Description
--- | --- | ---
`code` | string | W3C Key Code
`tDown` | number | time of key press (keydown event) relative to the global Monotonic Clock
`name` | string | undefined | pyglet key name